Bug 65491 - X lockup with star wars screensaver
X lockup with star wars screensaver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks: screensaver
  Show dependency treegraph
 
Reported: 2002-05-25 12:44 EDT by jstrand1
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version: RHL 8.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 16:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jstrand1 2002-05-25 12:44:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020421
Debian/1.2.1-2

Description of problem:
I have a ATI Rage Mobility M6 LY using the radeon or ati xfree86 driver (4.2.0)
in a dell inspiron 4100 laptop.

When the Star Wars screen saver is in use, it will lock X (and the computer)
hard.  Sometimes I can ssh in, sometimes not.  However, the mouse and keyboard
are dead and I have to do a hard shutdown.  Other screensavers do not seem to
have this problem.  This problem DID exist in redhat 7.2 as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  enable star wars screensaver
2.  lock the screen
	

Actual Results:  after anywhere from 1 minute to several minutes, the
screensaver stops and keyboard and mouse are gone (and sometimes the whole
computer).

Expected Results:  The screensaver should not have locked up.  :-)

Additional info:

To keep the system from crashing, I just did 

chmod 0 /usr/X11R6/lib/xscreensaver/starwars

which of course just disables the screensaver.
Comment 1 Bill Nottingham 2002-05-28 11:37:33 EDT
What happens if you disable DRI?
Comment 2 jstrand1 2002-05-29 09:10:08 EDT
I commented out the 'Load dri' line in XF86Config-4 and started X.  Testing
tuxracer and running xdpyinfo confirmed dri was not enabled.  The screensaver
appears to work fine without dri enabled.  It has been running for about a half
an hour with no lockups, which is longer than it ever ran before without locking up.
Comment 3 Mike A. Harris 2002-05-30 01:11:14 EDT
After a crash, please attach your /var/log/messages file, as well as your
X log file and config file.
Comment 4 Mike A. Harris 2002-05-30 02:02:29 EDT
SImilar hardware to that of bug #62287 by chance?
Comment 5 Mike A. Harris 2002-09-12 00:40:47 EDT
This problem is believed to be fixed now, and affected pretty much
all DRI enabled drivers.  Please test the latest rawhide X and
kernel either using the Red Hat Linux (Null) beta, or once the new
release of Red Hat Linux is completed and released.  After testing
this out with our latest kernel/X, please provide updated status, and
if the problem persists, please attach your X server log and config
file.

Most likely however, the problem will not occur in the lastest
packages.


Comment 6 Mike A. Harris 2002-12-15 04:49:58 EST
Fixed in Red Hat Linux 8.0 with all current erratum applied.  Still
awaiting final confirmation by changing bug to MODIFIED state.

Note You need to log in before you can comment on or make changes to this bug.